2025-08-17  YuGiOhJCJ  <yugiohjcj@yugiohjcj.ddns.net>

	* DEBIAN/control: remplace "20191227" par "20250813".

	* DEBIAN/control: remplace "yugiohjcj.cf" par "yugiohjcj.ddns.net".

	* install/slack-desc: remplace "yugiohjcj.cf" par "yugiohjcj.ddns.net".

	* RPM/SPECS/netrpg.spec: remplace "20191227" par "20250813".

	* RPM/SPECS/netrpg.spec: remplace "yugiohjcj.cf" par "yugiohjcj.ddns.net".

	* usr/doc/netrpg/README.fr.txt: remplace "20191227" par "20250813".

	* usr/doc/netrpg/README.fr.txt: remplace "yugiohjcj.cf" par "yugiohjcj.ddns.net".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "20191227" par "20250813".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "yugiohjcj.cf" par "yugiohjcj.ddns.net".

	* usr/src/client_functions.c: remplace "20191227" par "20250813".

	* usr/src/client_functions.c: remplace "yugiohjcj.cf" par "yugiohjcj.ddns.net".

	* usr/src/client_functions.h: remplace la taille de "ip_server" par "18+1".

	* usr/src/client_main.c: remplace "yugiohjcj.cf" par "yugiohjcj.ddns.net".

	* usr/src/Makefile: retrait des commentaires.

	* usr/src/Makefile: retrait de la cible "help".

	* usr/src/Makefile: retrait de la cible "linux".

	* usr/src/Makefile: retrait de la cible "windows".

	* usr/src/Makefile: retrait de la variable "CC_LIN".

	* usr/src/Makefile: retrait de la variable "CC_WIN".

	* usr/src/Makefile: ajout de la variable "COMMON_CFLAGS".

	* usr/src/Makefile: ajout de la variable "SERVER_CFLAGS".

	* usr/src/Makefile: ajout de la variable "SERVER_LDFLAGS".

	* usr/src/Makefile: ajout de la variable "SERVER_LDLIBS".

	* usr/src/Makefile: ajout de la variable "SERVER_OBJ".

	* usr/src/Makefile: ajout de la variable "SERVER_OUT".

	* usr/src/Makefile: ajout de la variable "CLIENT_CFLAGS".

	* usr/src/Makefile: ajout de la variable "CLIENT_LDFLAGS".

	* usr/src/Makefile: ajout de la variable "CLIENT_LDLIBS".

	* usr/src/Makefile: ajout de la variable "CLIENT_OBJ".

	* usr/src/Makefile: ajout de la variable "CLIENT_OUT".

	* usr/src/server_functions.c: remplace "20191227" par "20250813".

2019-12-27  YuGiOhJCJ  <yugiohjcj@yugiohjcj.cf>

	* DEBIAN/control: remplace "20190102" par "20191227".

	* DEBIAN/control: remplace "yugiohjcj@1s.fr" par "yugiohjcj@yugiohjcj.cf".

	* DEBIAN/control: remplace "yugiohjcj.tk" par "yugiohjcj.cf".

	* install/slack-desc: remplace "yugiohjcj.tk" par "yugiohjcj.cf".

	* install/slack-desc: remplace "yugiohjcj@1s.fr" par "yugiohjcj@yugiohjcj.cf".

	* RPM/SPECS/netrpg.spec: remplace "20190102" par "20191227".

	* RPM/SPECS/netrpg.spec: remplace "yugiohjcj.tk" par "yugiohjcj.cf".

	* usr/doc/netrpg/README.fr.txt: remplace "20190102" par "20191227".

	* usr/doc/netrpg/README.fr.txt: remplace "yugiohjcj.tk" par "yugiohjcj.cf".

	* usr/doc/netrpg/README.fr.txt: remplace "yugiohjcj@1s.fr" par "yugiohjcj@yugiohjcj.cf".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "20190102" par "20191227".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "yugiohjcj.tk" par "yugiohjcj.cf".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "yugiohjcj@1s.fr" par "yugiohjcj@yugiohjcj.cf".

	* usr/src/client_functions.c: retrait de certains commentaires en en-tête.

	* usr/src/client_functions.c: remplace "20190102" par "20191227".

	* usr/src/client_functions.c: remplace "yugiohjcj.tk" par "yugiohjcj.cf".

	* usr/src/client_functions.h: retrait de certains commentaires en en-tête.

	* usr/src/client_functions.h: retrait de certains commentaires en en-tête.

	* usr/src/client_main.c: retrait de certains commentaires en en-tête.

	* usr/src/client_main.c: remplace "yugiohjcj.tk" par "yugiohjcj.cf".

	* usr/src/Makefile: retrait de certains commentaires en en-tête.

	* usr/src/Makefile: ajout de la variable "CC_LIN".

	* usr/src/Makefile: ajout de la variable "CC_WIN".

	* usr/src/server_functions.c: retrait de certains commentaires en en-tête.

	* usr/src/server_functions.c: remplace "20190102" par "20191227".

	* usr/src/server_functions.h: retrait de certains commentaires en en-tête.

	* usr/src/server_main.c: retrait de certains commentaires en en-tête.

2019-01-02  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* DEBIAN/control: remplace "20121230" par "20190102".

	* DEBIAN/control: remplace "http://yugiohjcj.1s.fr/" par "http://yugiohjcj.tk/".

	* install/slack-desc: remplace "http://yugiohjcj.1s.fr/" par "http://yugiohjcj.tk/".

	* RPM/SPECS/netrpg.spec: remplace "20121230" par "20190102".

	* RPM/SPECS/netrpg.spec: remplace "http://yugiohjcj.1s.fr/" par "http://yugiohjcj.tk/".

	* usr/doc/netrpg/README.fr.txt: remplace "20121230" par "20190102".

	* usr/doc/netrpg/README.fr.txt: remplace "sdl 1.2.13" par "sdl 1.2.15".

	* usr/doc/netrpg/README.fr.txt: remplace "sdl_net 1.2.7" par "sdl_net 1.2.8".

	* usr/doc/netrpg/README.fr.txt: remplace "sdl_ttf 2.0.9" par "sdl_ttf 2.0.11".

	* usr/doc/netrpg/README.fr.txt: remplace "glibc 2.5" par "glibc 2.23".

	* usr/doc/netrpg/README.fr.txt: remplace "http://yugiohjcj.1s.fr/" par "http://yugiohjcj.tk/".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "2012" par "2019".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "20121230" par "20190102".

	* usr/share/man/fr/man1/netrpg_client.1: remplace "http://yugiohjcj.1s.fr/" par "http://yugiohjcj.tk/".

	* usr/src/client_functions.c: remplace "20121230" par "20190102".

	* usr/src/client_functions.c: remplace "netrpg.1s.fr" par "yugiohjcj.tk".

	* usr/src/client_functions.c: retrait de la date dans les commentaires.

	* usr/src/client_functions.h: retrait de la date dans les commentaires.

	* usr/src/client_main.c: retrait de la date dans les commentaires.

	* usr/src/client_main.c: remplace "http://yugiohjcj.1s.fr/" par "http://yugiohjcj.tk/".

	* usr/src/Makefile: remplace "i686-pc-mingw32-gcc" par "i686-w64-mingw32-gcc".

	* usr/src/server_functions.c: retrait de la date dans les commentaires.

	* usr/src/server_functions.c: remplace "20121230" par "20190102".

	* usr/src/server_functions.h: retrait de la date dans les commentaires.

	* usr/src/server_main.c: retrait de la date dans les commentaires.

	* usr/src/server_main.c: inclue du fichier d'en-tête "unistd.h".

	* usr/src/server_main.c: utilise la fonction "sleep".

2012-12-30  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* RPM/SPECS/netrpg.spec: retrait du tag BuildRoot.

	* RPM/SPECS/netrpg.spec: utilise la macro %{name} à la place de "netrpg".

	* usr/src/client_main.c: utilise le nom du serveur à la place de l'adresse IP.

	* usr/doc/netrpg/ChangeLog.fr.txt: respect du format précisé dans le document GNU Coding Standards.

	* usr/doc/netrpg/ChangeLog.fr.txt: passe à l'encodage UTF-8.

	* usr/doc/netrpg/README.fr.txt: passe à l'encodage UTF-8.

	* usr/doc/netrpg/TODO.fr.txt: passe à l'encodage UTF-8.

	* usr/share/man/fr/man1/netrpg_client.1: passe à l'encodage UTF-8.

	* usr/src/client_main.c: passe à l'encodage UTF-8.

	* usr/src/server_main.c: passe à l'encodage UTF-8.

	* usr/src/client_functions.c: passe à l'encodage UTF-8.

	* usr/src/client_functions.h: passe à l'encodage UTF-8.

	* usr/src/server_functions.c: passe à l'encodage UTF-8.

	* usr/src/server_functions.h: passe à l'encodage UTF-8.

	* usr/src/client_main.c: support de l'UTF8 grâce à la fonction TTF_RenderUTF8_Solid.

	* usr/src/client_functions.c: support de l'UTF8 grâce à la fonction TTF_RenderUTF8_Solid.

	* usr/src/Makefile: ajout de la règle "clean".

	* DEBIAN/control: http://yugiohjcj.free.fr/ est remplacé par http://yugiohjcj.1s.fr/.

	* DEBIAN/control: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* install/slack-desc: http://yugiohjcj.free.fr/ est remplacé par http://yugiohjcj.1s.fr/.

	* install/slack-desc: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* usr/doc/netrpg/README.fr.txt: http://yugiohjcj.free.fr/ est remplacé par http://yugiohjcj.1s.fr/.

	* usr/doc/netrpg/README.fr.txt: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* usr/share/man/fr/man1/netrpg_client.1: http://yugiohjcj.free.fr/ est remplacé par http://yugiohjcj.1s.fr/.

	* usr/share/man/fr/man1/netrpg_client.1: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* RPM/SPECS/netrpg.spec: http://yugiohjcj.free.fr/ est remplacé par http://yugiohjcj.1s.fr/.

	* usr/src/client_main.c: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* usr/src/client_main.c: http://yugiohjcj.free.fr/ est remplacé par http://yugiohjcj.1s.fr/.

	* usr/src/server_main.c: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* usr/src/client_functions.c: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* usr/src/client_functions.h: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* usr/src/server_functions.c: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

	* usr/src/server_functions.h: yugiohjcj@free.fr est remplacé par yugiohjcj@1s.fr.

2008-08-09  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Le programme existe maintenant pour la distribution Fedora.

2008-07-02  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Il est maintenant possible de S'analyser et ainsi afficher l'état du personnage (faim, soif et sommeil).

	* *: Manger, Boire et S'endormir permettent de récupérer sa faim, sa soif et son sommeil.

	* *: Les identifiants sont maintenant analysés à chaque fois qu'une requête est effectuée sur le serveur.

2008-05-04  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Ajout de l'icône pour KDE, Gnome et autres.

2008-03-22  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Mise à jour du man pour remplacer netrpg par netrpg_client et pour ajouter streetfight dans la section VOIR AUSSI.

	* *: Ajout d'un délai d'attente maximum du serveur avant d'abandonner pour éviter les blocages de celui-ci.

	* *: Interdiction au client de faire plusieurs requêtes simultanément au serveur pour éviter que le client ne se ferme tout seul pour cause d'erreur (les boutons d'actions disparaissent pendant la requête).

2008-01-01  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Toutes les touches du clavier sont gérées (unicode).

	* *: Les documentations ont une extension .txt pour les utilisateurs Windows.

	* *: Le programme ne se bloque plus pendant la connexion au serveur.

	* *: Passage au correcteur orthographique aspell des fichiers textes.

2007-06-26  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Ajout des arguments "--version" et "--help" à la commande.

	* *: Ajout de la possibilité de capturer l'écran

	* *: Modification du manuel.

2007-06-15  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Les boutons "boire" et "manger" apparaissent et le pseudonyme peut être retenu.

	* *: Les zones de texte de saisie sont maintenant vides par défaut.

2007-06-02  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Des bulles d'aide apparaissent au-dessus de certaines zones.

	* *: Ajout de l'argument "--fullscreen" à la commande.

2007-04-15  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Le chat est maintenant stocké sur le disque de l'utilisateur après avoir écouté.

	* *: Deux nouvelles images permettent de choisir ou non le mode plein écran.

	* *: Les zones de saisie ne sont plus transparentes lorsque le curseur de souris les survole.

	* *: Les lieux "cimetière" et "forêt" ont été ajoutés.

	* *: La phrase "Veuillez rafraîchir" est remplacée par "Veuillez écouter".

	* *: La phrase "Veuillez entrer votre texte ici" est remplacée par "Veuillez entrer vos paroles ici".

2007-03-16  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: L'interface graphique a changé : curseur de souris personnalisé, effet de transparence sur les boutons et sur le texte d'état, un fond noir pour les messages écoutés.

	* *: La répétition des touches appuyées est maintenant activée.

2007-02-16  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Il est possible de se déplacer dans les lieux "puits" et "chambre" et on peut se suicider.

	* *: Les titres des actions ont été changés.

2006-12-27  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Correction d'un problème de reconnaissance des inscrits.

	* *: Correction d'un problème d'affichage pour les pseudonymes longs.

	* *: Le serveur répond maintenant à 1 requête/seconde ce qui le rend 5 fois plus rapide.

2006-12-09  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Les flèches disparaissent lorsqu'on atteint les derniers messages.

	* *: La version du client est vérifiée avant toute requête.

2006-12-04  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Il est maintenant possible d'afficher les messages précédents grâce aux flèches.

2006-11-20  YuGiOhJCJ  <yugiohjcj@1s.fr>

	* *: Première version.
